# -*- coding: utf-8 -*-
from setuptools import setup

name = 'erp5.conflictresolver'
version = '0.1'

def read(name):
    return open(name).read()

long_description=(
        '\n' + read('README.txt') + '\n' + read('CHANGES.txt')
    )

setup(
    name = name,
    version = version,
    url = 'http://www.erp5.org/',
    author = 'Kazuhiko Shiozaki',
    author_email = 'kazuhiko@nexedi.com',
    description = 'Custom conflict resolvers for ERP5 that is useful for ZEO server',
    long_description=long_description,
    license = 'GPL',
    keywords = 'zeo zope2 erp5',
    classifiers=[
      'License :: OSI Approved :: GNU General Public License (GPL)',
      'Framework :: Zope2',
      ],
    )
